{
	"format_version" : "1.8.0",
	"animations" : {
		"animation.nugget_horse.v3.baby_transform" : {
			"loop" : true,
			"bones" : {
				"nbody" : {
					"position" : [ 0.0, "3 * ((0.0625 - query.model_scale) * 16.0)", -1.5 ]
				},
				"head" : {
					"scale" : "1.0 + 0.5 * (1.0 - (query.model_scale * 16.0))"
				},
				"legbl" : {
					"scale" : [ 1.0, "1.0 + ((0.0625 - query.model_scale) * 16.0)", 1.0 ]
				},
				"legbr" : {
					"scale" : [ 1.0, "1.0 + ((0.0625 - query.model_scale) * 16.0)", 1.0 ]
				},
				"legfl" : {
					"scale" : [ 1.0, "1.0 + ((0.0625 - query.model_scale) * 16.0)", 1.0 ]
				},
				"legfr" : {
					"scale" : [ 1.0, "1.0 + ((0.0625 - query.model_scale) * 16.0)", 1.0 ]
        },
        "hhead_resize": {
          "scale": 0.0
        },
        "bhead_resize": {
          "scale": 1.4
        },
        "hhead2_resize": {
          "scale": 0.0
        },
        "bhead2_resize": {
          "scale": 1.4
        },
        "tit": {
          "scale": 0.0
        },
        "titp": {
          "scale": 0.0
        }
      }
		},
		"animation.nugget_horse.v3.riding" : {
			"loop" : true,
			"bones" : {
				"leftarm" : {
					"rotation" : [ -36.0, 0.0, 0.0 ]
				},
				"rightarm" : {
					"rotation" : [ -36.0, 0.0, 0.0 ]
				},
				"leftleg" : {
					"rotation" : [ "-72.0 - this", "-18.0 - this", "-this" ]
				},
				"rightleg" : {
					"rotation" : [ "-72.0 - this", "18.0 - this", "-this" ]
				},
				"playerp" : {
					"position" : [ 0.0, -10.0, 0.0 ]
				}
			}
		},
		"animation.nugget_horse.v3.eat" : {
			"loop" : true,
			"bones" : {
				"neck" : {
					"rotation" : [ "variable.eat_anim * (110.0 + math.sin((query.life_time * 20.0) * 57.3) * 2.86)", 0.0, 0.0 ]
				}
			}
		},
		"animation.nugget_horse.v3.look_at_player" : {
			"loop" : true,
			"bones" : {
				"neck" : {
					"rotation" : [ "variable.head_x_rot", "(variable.stand_anim + variable.inverse_max_stand_eat) * query.head_y_rotation(20)", 0.0 ]
				},
				"hhead" : {
					"rotation" : [ 0.0, "(variable.stand_anim + variable.inverse_max_stand_eat) * query.head_y_rotation(20)", 0.0 ]
				},
				"bhead" : {
					"rotation" : [ 0.0, "(variable.stand_anim + variable.inverse_max_stand_eat) * query.head_y_rotation(20)", 0.0 ]
				},
				"hhead2" : {
					"rotation" : [ 0.0, "(variable.stand_anim + variable.inverse_max_stand_eat) * query.head_y_rotation(20)", 0.0 ]
				},
				"bhead2" : {
					"rotation" : [ 0.0, "(variable.stand_anim + variable.inverse_max_stand_eat) * query.head_y_rotation(20)", 0.0 ]
				}
			}
		},
		"animation.nugget_horse.v3.rear" : {
			"loop" : true,
			"bones" : {
				"nbody" : {
					"rotation" : [ "-45.0 * variable.stand_anim", 0.0, 0.0 ]
				},
				"legbl" : {
					"rotation" : [ "45.0 * variable.stand_anim", 0.0, 0.0 ]
				},
				"legbr" : {
					"rotation" : [ "45.0 * variable.stand_anim", 0.0, 0.0 ]
				},
				"legfl" : {
					"rotation" : [ "(-60.0 + math.cos((query.life_time * 20.0) * 34.38) * 57.3) * variable.stand_anim", 0.0, 0.0 ]
				},
				"legfr" : {
					"rotation" : [ "(-60.0 - math.cos((query.life_time * 20.0) * 34.38) * 57.3) * variable.stand_anim", 0.0, 0.0 ]
				},
				"neck" : {
					"rotation" : [ "(15.0 + variable.head_x_rot) * variable.stand_anim", 0.0, 0.0 ]
				},
				"tail" : {
					"rotation" : [ "55.0 * variable.stand_anim", 0.0, 0.0 ]
				},
				"no_degree" : {
					"rotation" : [ "45.0 * variable.stand_anim", 0.0, 0.0 ]
				},
				"ass" : {
					"rotation" : [ "45.0 * variable.stand_anim", 0.0, 0.0 ]
				},
				"leftback" : {
					"rotation" : [ "45.0 * variable.stand_anim", 0.0, 0.0 ]
				},
				"rightback" : {
					"rotation" : [ "45.0 * variable.stand_anim", 0.0, 0.0 ]
				},
				"player" : {
					"rotation" : [ "35.0 * variable.stand_anim", 0.0, 0.0 ]
				}
			}
		},
		"animation.nugget_horse.v3.tail" : {
			"loop" : true,
			"bones" : {
				"tail" : {
					"rotation" : [ 0.0, "math.cos(query.life_time * 802.0) * 57.3", 0.0 ]
				},
				"tailp" : {
					"rotation" : [ 0.0, "math.cos(query.life_time * 802.0) * 57.3", 0.0 ]
				}
			}
		},
		"animation.nugget_horse.v3.walk" : {
			"loop" : true,
			"bones" : {
				"bagl" : {
					"rotation" : [ "variable.leg_x_rot_anim / 5.0", 0.0, 0.0 ]
				},
				"bagr" : {
					"rotation" : [ "-variable.leg_x_rot_anim / 5.0", 0.0, 0.0 ]
				},
				"legbl" : {
					"rotation" : [ "(-variable.leg_stand_factor * 28.6 * query.modified_move_speed) * (1.0 - variable.stand_anim)", 0.0, 0.0 ]
				},
				"legbr" : {
					"rotation" : [ "(variable.leg_stand_factor * 28.6 * query.modified_move_speed) * (1.0 - variable.stand_anim)", 0.0, 0.0 ]
				},
				"legfl" : {
					"rotation" : [ "variable.leg_x_rot_anim * (1.0 - variable.stand_anim)", 0.0, 0.0 ]
				},
				"legfr" : {
					"rotation" : [ "-variable.leg_x_rot_anim * (1.0 - variable.stand_anim)", 0.0, 0.0 ]
				},
				"le1" : {
					"rotation" : [ 0.0, "-variable.leg_x_rot_anim * 0.4", 0.0 ]
				},
				"le2" : {
					"rotation" : [ 0.0, "-variable.leg_x_rot_anim * 0.4", 0.0 ]
				},
				"le3" : {
					"rotation" : [ 0.0, "variable.leg_x_rot_anim * 0.4", 0.0 ]
				},
				"le4" : {
					"rotation" : [ 0.0, "variable.leg_x_rot_anim * 0.4", 0.0 ]
				},
				"le5" : {
					"rotation" : [ 0.0, "-variable.leg_x_rot_anim * 0.4", 0.0 ]
				},
				"le6" : {
					"rotation" : [ 0.0, "-variable.leg_x_rot_anim * 0.4", 0.0 ]
				},
				"le7" : {
					"rotation" : [ 0.0, "variable.leg_x_rot_anim * 0.4", 0.0 ]
				},
				"le8" : {
					"rotation" : [ 0.0, "variable.leg_x_rot_anim * 0.4", 0.0 ]
				},
				"leftleg" : {
					"rotation" : [ "variable.leg_x_rot_anim" , 0.0 , 0.0 ]
				},
				"rightleg" : {
					"rotation" : [ "-variable.leg_x_rot_anim" , 0.0 , 0.0 ]
				},
				"rightarm" : {
					"rotation" : [ "variable.leg_x_rot_anim" , 0.0 , 0.0 ]
				},
				"leftarm" : {
					"rotation" : [ "-variable.leg_x_rot_anim" , 0.0 , 0.0]
				}
			}
		}
	}
}